plans:
- adjust:
  - enabled: true
    tag+:
    - additional_coverage
    when: how == full or trigger == commit
  cleanup:
    enabled: true
    phases:
    - how: tmt
      name: default-0
      order: 50
  discover:
    enabled: true
    phases:
    - dist-git-download-only: false
      dist-git-install-builddeps: false
      dist-git-source: false
      how: shell
      keep-git-metadata: false
      name: default-0
      order: 50
      tests:
      - duration: 1h
        enabled: true
        manual: false
        name: script-00
        order: 50
        result: respect
        test: cd $(mktemp -d) && tmt init -t full && tmt
        tty: false
      url-content-type: git
    tests:
    - discover-phase: default-0
      duration: 1h
      enabled: true
      framework: shell
      manual: false
      name: /script-00
      order: 50
      path: /default-0/tests
      restart-max-count: 1
      restart-with-reboot: false
      result: respect
      serial-number: 1
      test: cd $(mktemp -d) && tmt init -t full && tmt
      tty: false
  enabled: true
  environment:
    PYTEST: python3 -m pytest -vvv -ra --showlocals
  execute:
    enabled: true
    phases:
    - duration: 1h
      exit-first: false
      how: tmt
      ignore-duration: false
      interactive: false
      name: default-0
      no-progress-bar: false
      order: 50
      restraint-compatible: false
    results-path: plans/install/minimal/execute/results.yaml
  finish:
    enabled: true
    phases:
    - how: shell
      name: default-0
      order: 50
  name: /plans/install/minimal
  order: 50
  prepare:
    enabled: true
    phases:
    - how: install
      missing: fail
      name: default-0
      order: 50
      package:
      - jq
      - yq
      - make
      - python3-pip
      - python3-pytest
    - how: shell
      name: default-1
      order: 50
      script:
      - "mkdir -p ~/.koji\nif [ -f ~/.koji/config ]; then\n  echo \"~/.koji/config
        was already set:\"\n  cat ~/.koji/config\nelse\n  cat <<EOF > ~/.koji/config\n[koji]\nanon_retry
        = true\nEOF\nfi\n"
      summary: Make sure we run koji commands with automatic retry to avoid 50x errors
    - how: install
      missing: fail
      name: present
      order: 50
      package:
      - tmt
      summary: Make sure tmt is present
    - how: shell
      name: minimal
      order: 90
      script:
      - dnf remove -y 'tmt+*' --exclude tmt
      summary: No subpackages are installed
  provision:
    enabled: true
    phases:
    - become: false
      guest: 3.17.150.151
      hard-reboot: /opt/artemis-cli/bin/artemis-cli guest reboot 6bfcfee3-59a5-4988-93d8-def28e1cb9a5
      how: connect
      key:
      - /etc/citool.d/id_rsa_artemis
      name: default-0
      order: 50
      port: 22
      user: root
  report:
    enabled: true
    phases:
    - display-guest: auto
      how: display
      name: default-0
      order: 50
  summary: Verify that the minimal package works
  tag:
  - additional_coverage
run:
  context:
    arch:
    - x86_64
    distro:
    - fedora-rawhide
    initiator:
    - packit
    trigger:
    - commit
  environment:
    PACKIT_BUILD_LOG_URL: https://download.copr.fedorainfracloud.org/results/packit/teemtee-tmt-4904/fedora-rawhide-x86_64/10515802-tmt/builder-live.log
    PACKIT_COMMIT_SHA: 5793f160ea6a83eb7aa78b1dd7135b1303c18ef4
    PACKIT_COPR_BUILD_ID: '10515802'
    PACKIT_COPR_PROJECT: packit/teemtee-tmt-4904
    PACKIT_COPR_RPMS: tmt+provision-virtual-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+provision-bootc-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+provision-beaker-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+report-polarion-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+provision-container-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+export-polarion-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+prepare-artifact-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+report-junit-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+all-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+link-jira-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+provision-mock-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+test-convert-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
    PACKIT_DOWNSTREAM_NAME: tmt
    PACKIT_DOWNSTREAM_URL: https://src.fedoraproject.org/rpms/tmt.git
    PACKIT_FULL_REPO_NAME: teemtee/tmt
    PACKIT_PACKAGE_NAME: tmt
    PACKIT_PACKAGE_NVR: tmt+provision-virtual-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45
    PACKIT_PR_ID: '4904'
    PACKIT_SOURCE_BRANCH: document-user-key-better
    PACKIT_SOURCE_SHA: 5793f160ea6a83eb7aa78b1dd7135b1303c18ef4
    PACKIT_SOURCE_URL: https://github.com/teemtee/tmt
    PACKIT_SRPM_URL: https://download.copr.fedorainfracloud.org/results/packit/teemtee-tmt-4904/srpm-builds/10515802/tmt-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.src.rpm
    PACKIT_TARGET_BRANCH: main
    PACKIT_TARGET_SHA: ba64efc6eb8bc54e1c9b7971fe42c7227cdd8096
    PACKIT_TARGET_URL: https://github.com/teemtee/tmt
    PACKIT_UPSTREAM_NAME: tmt
    PACKIT_UPSTREAM_URL: https://github.com/teemtee/tmt
    TESTING_FARM_GIT_REF: 5793f160ea6a83eb7aa78b1dd7135b1303c18ef4
    TESTING_FARM_GIT_URL: https://github.com/teemtee/tmt
    TESTING_FARM_REQUEST_ID: 7ee920ba-c471-4371-b3ba-ca9f08ece5f9
    TESTING_FARM_TEST_TYPE: fmf
  remove: false
  root: /var/ARTIFACTS/git-ba64efc6eb8bc54e1c9b7971fe42c7227cdd8096jv4l6ug6
